package com.sinosig.core.module.dao;

import com.sinosig.core.module.filter.JQXTBYDSearchContext;
import com.sinosig.core.module.dao.po.IJQXTBYDTable;
import java.util.List;
import java.util.Map;

/**
 * 关系型数据实体表[Table]DAO对象
 */
public interface IJQXTBYDTableDAO {

    IJQXTBYDTable createJqxtbydTable();

    boolean create(IJQXTBYDTable et);

    boolean remove(String jqxtbydid);

    IJQXTBYDTable get(String jqxtbydid);

    IJQXTBYDTable get(IJQXTBYDTable et);

    boolean update(IJQXTBYDTable et);


    List<IJQXTBYDTable> searchDefault(JQXTBYDSearchContext context);
}
